com.fasterxml.jackson.core

## Class ErrorReportConfiguration.Builder

- java.lang.Object
- - com.fasterxml.jackson.core.ErrorReportConfiguration.Builder

Enclosing class:
  ErrorReportConfiguration

    public static final class ErrorReportConfiguration.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ErrorReportConfiguration` `build()`
`ErrorReportConfiguration.Builder` `maxErrorTokenLength(int maxErrorTokenLength)`
`ErrorReportConfiguration.Builder` `maxRawContentLength(int maxRawContentLength)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### maxErrorTokenLength

    public ErrorReportConfiguration.Builder maxErrorTokenLength(int maxErrorTokenLength)

Parameters:
  `maxErrorTokenLength` - Maximum error token length setting to use
Returns:
  This factory instance (to allow call chaining)
Throws:
  `IllegalArgumentException` - if `maxErrorTokenLength` is less than 0

#### maxRawContentLength

    public ErrorReportConfiguration.Builder maxRawContentLength(int maxRawContentLength)

Parameters:
  `maxRawContentLength` - Maximum raw content setting to use
Returns:
  This builder instance (to allow call chaining)
See Also:
  `ErrorReportConfiguration._maxRawContentLength`

#### build

    public ErrorReportConfiguration build()